
From: Richard Purdie <rpurdie@rpsys.net>

Add keyboard and touchscreen device definitions for corgi.

Signed-off-by: Richard Purdie <rpurdie@rpsys.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/arm/mach-pxa/corgi.c |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+)

diff -puN arch/arm/mach-pxa/corgi.c~corgi-add-keyboard-and-touchscreen-device-definitions arch/arm/mach-pxa/corgi.c
--- devel/arch/arm/mach-pxa/corgi.c~corgi-add-keyboard-and-touchscreen-device-definitions	2005-08-05 00:51:45.000000000 -0700
+++ devel-akpm/arch/arm/mach-pxa/corgi.c	2005-08-05 00:51:45.000000000 -0700
@@ -99,6 +99,27 @@ static struct platform_device corgibl_de
 
 
 /*
+ * Corgi Keyboard Device
+ */
+static struct platform_device corgikbd_device = {
+	.name		= "corgi-keyboard",
+	.id		= -1,
+};
+
+
+/*
+ * Corgi Touch Screen Device
+ */
+static struct platform_device corgits_device = {
+	.name		= "corgi-ts",
+	.dev		= {
+ 		.parent = &corgissp_device.dev,
+	},
+	.id		= -1,
+};
+
+
+/*
  * MMC/SD Device
  *
  * The card detect interrupt isn't debounced so we delay it by HZ/4
@@ -174,6 +195,7 @@ static struct pxamci_platform_data corgi
 };
 
 
+
 /*
  * USB Device Controller
  */
@@ -199,7 +221,9 @@ static struct platform_device *devices[]
 	&corgiscoop_device,
 	&corgissp_device,
 	&corgifb_device,
+	&corgikbd_device,
 	&corgibl_device,
+	&corgits_device,
 };
 
 static void __init corgi_init(void)
_
